## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)

## ----setup--------------------------------------------------------------------
library("scShardSplitRef")

## ----eval=FALSE---------------------------------------------------------------
# ?determine_split_regions

## -----------------------------------------------------------------------------
# Read GTF file
gtf_path <- system.file(
  "extdata/AlgorithmToy.gtf",
  package = "scShardSplitRef"
)
# Read BED file
bed_path <- system.file(
  "extdata/AlgorithmToy.bed",
  package = "scShardSplitRef"
)

# Define output path
output_file <- file.path(tempdir(), "extdata")
dir.create(output_file, recursive = TRUE, showWarnings = FALSE)
output_file_name_dir <- file.path(
  output_file,
  "AlgorithmToy_DetermineSplitReg.bed"
)

# Determine split regions
get_split_reg <- determine_split_regions(
  bed = bed_path,
  gtf = gtf_path,
  output_bed = output_file_name_dir,
  limit = 540L,
  shift_by = 30L,
  clearance = 40L
)

get_split_reg

## ----eval=FALSE---------------------------------------------------------------
# ?process_gtf

## ----eval=TRUE----------------------------------------------------------------
# BED
bed_modif <- system.file(
  "extdata/AlgorithmToy_DetermineSplitReg.bed",
  package = "scShardSplitRef"
)

# Function
gtf_processed <- process_gtf(
  split_regions_bed = bed_modif,
  gtf = gtf_path,
  genome_name = "AlgorithmToyExample",
  genome_version = "v1",
  keep_attributes = NULL,
  out_path = tempdir()
)

